## ros-noetic-wifi-ddwrt 0.2.2

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(wifi_ddwrt)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  FILES
  Network.msg
  SiteSurvey.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS std_msgs)

install(PROGRAMS 
   nodes/ddwrt.py
   scripts/analysis
   scripts/ddwrt_sim.py
   scripts/monitor
   scripts/ddwrt_config.py
   scripts/wanip.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-noetic-wifi-ddwrt 0.2.0

=== debian/changelog ===
ros-noetic-wifi-ddwrt (0.2.0-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Mon, 10 May 2021 02:56:11 -0000

=== debian/control ===
Source: ros-noetic-wifi-ddwrt
Section: misc
Priority: optional
Maintainer: Austin Hendrix <ahendrix@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/wifi_ddwrt
Standards-Version: 3.9.2

Package: ros-noetic-wifi-ddwrt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-mechanize, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pr2-msgs, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: Access to the DD-WRT wifi

## ros-noetic-wifi-ddwrt 0.2.2

=== debian/changelog ===
ros-noetic-wifi-ddwrt (0.2.2-1focal) focal; urgency=high

  * 0.2.1
  * update changelogs
  * Merge pull request #15 <https://github.com/ros-drivers/wifi_ddwrt/issues/15> from k-okada/add_travis
    add travsi CI
  * update CHANGELOG.rst
  * Merge pull request #14 <https://github.com/ros-drivers/wifi_ddwrt/issues/14> from PR2-prime/noetic-devel
  * add travsi CI
  * updated for focal/noetic/python3 compatibility
  * Merge pull request #7 <https://github.com/ros-drivers/wifi_ddwrt/issues/7> from furushchev/fix-typo
    [wifi_ddwrt] fix typo
  * [wifi_ddwrt] fix typo
  * Update README.md
  * Create README. Fixes #1 <https://github.com/ros-drivers/wifi_ddwrt/issues/1>
  * Contributors: Austin, Dave Feil-Seifer, Kei Okada, Yuki Furuta

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sat, 15 May 2021 07:00:00 -0000

ros-noetic-wifi-ddwrt (0.2.1-1focal) focal; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/wifi_ddwrt/issues/15> from k-okada/add_travis
    add travsi CI
  * update CHANGELOG.rst
  * Merge pull request #14 <https://github.com/ros-drivers/wifi_ddwrt/issues/14> from PR2-prime/noetic-devel
  * add travsi CI
  * updated for focal/noetic/python3 compatibility
  * Merge pull request #7 <https://github.com/ros-drivers/wifi_ddwrt/issues/7> from furushchev/fix-typo
    [wifi_ddwrt] fix typo
  * [wifi_ddwrt] fix typo
  * Update README.md
  * Create README. Fixes #1 <https://github.com/ros-drivers/wifi_ddwrt/issues/1>
  * Contributors: Austin, Dave Feil-Seifer, Kei Okada, Yuki Furuta
  * updated for focal/noetic/python3 compatibility (#14 <https://github.com/ros-drivers/wifi_ddwrt/issues/14>)
  * [wifi_ddwrt] fix typo (#7 <https://github.com/ros-drivers/wifi_ddwrt/issues/7>)
  * Create README. Fixes #1 <https://github.com/ros-drivers/wifi_ddwrt/issues/1>
  * Contributors: Austin Hendrix, Dave Feil-Seifer, Yuki Furuta

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sat, 15 May 2021 07:00:00 -0000

ros-noetic-wifi-ddwrt (0.2.0-1focal) focal; urgency=high

  * Un-stack.
  * Catkinized!
  * Remove references to roslib.
  * Remove unused options.
  * Remove old rosbuild files.
  * removing rosdep.yaml
  * bumped version for 0.1.5 release
  * fix typo, ticket #5078 <https://github.com/ros-drivers/wifi_ddwrt/issues/5078>
  * update stack dependencies
  * getting ready for 0.1.4 release
  * remove deprecated imports
  * adding ros_comm depend
  * Only print warning when state changes, not every time
  * Added Ubuntu platform tags to manifest
  * updating to release 0.1.3
  * Catch all exception types and make sure we guard fetchSiteSurvey too
  * Catch exceptions in fetchCurrentAP, log them, and continue running
  * Updating wifi_drivers to 0.1.2
  * Took out the gc.collect from each iteration, as it does not seem to be necessary.
  * Fixed ticket texas`#135 <https://github.com/ros-drivers/wifi_ddwrt/issues/135>`_ by not reusing the mechanize.Browser, and by manually clearing uncollectable dictionnaries that get left on the heap.
  * updating to 0.1.1
  * don't try to create an access point object unless we have active data, fixing #60 <https://github.com/ros-drivers/wifi_ddwrt/issues/60>
  * wifi_drivers: stack manifest update
  * wifi_drivers: Makefile
  * wifi_drivers requires python_mechanize rosdep
  * preparing wifi_drivers 0.1.0 into tick-tock
  * staging wifi_drivers into tick-tock
  * wifi_drivers: updating to newer rosbuild commands
  * updating to release 0.1.0
  * Add wifi_wrt
  * Contributors: Austin Hendrix, blaise, gerkey, jamesb, jtyler, kwc, leibs, wheeler, wim

 -- Austin Hendrix <ahendrix@willowgarage.com>  Mon, 03 Jun 2013 07:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-wifi-ddwrt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-mechanize, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pr2-msgs, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3-mechanize, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-pr2-msgs, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
 Description: Access to the DD-WRT wifi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-wifi-ddwrt//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
